#!/bin/bash

set -u
set -e
 set -x
export PATH=$PATH:/home/pi/bin/
START_DATE=$(perl -MPOSIX=strftime -E 'print strftime("%Y-%m-%dT%H:%M:%S.0Z", gmtime(time() + 300))')
TITLE="Birdcam for $(date -u -Iminutes)"

youtube3 live-streams insert -r snippet.title="$TITLE" -r cdn.resolution=720p -r cdn.frame-rate=30fps -r cdn.ingestion-type=rtmp | tee /tmp/live-stream.json

youtube3 live-broadcasts insert -r snippet.title="$TITLE" -r snippet.scheduled-start-time=$START_DATE -r status.privacy-status=public -r content-details.enable-dvr=true -r content-details.enable-auto-start=true -r content-details.record-from-start=true | tee /tmp/live-broadcast.json

STREAM_ID=$(jq '.id' -r < /tmp/live-stream.json)
BROADCAST_ID=$(jq '.id' -r < /tmp/live-broadcast.json)
STREAM_NAME=$(jq '.cdn.ingestionInfo.streamName' -r < /tmp/live-stream.json)

youtube3 live-broadcasts bind $BROADCAST_ID id -p stream-id=$STREAM_ID

echo -n $STREAM_NAME | tee /tmp/stream.key

echo
